<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:34 UTC 2019 -->
<title>MapPackage (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MapPackage (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MapPackage.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/odml/MapLoader.ResultCode.html" title="enum in com.here.android.mpa.odml"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/odml/MapPackage.InstallationState.html" title="enum in com.here.android.mpa.odml"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/odml/MapPackage.html" target="_top">Frames</a></li>
<li><a href="MapPackage.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.class.summary">Nested</a> | </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.odml</div>
<h2 title="Class MapPackage" class="title">Class MapPackage</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.odml.MapPackage</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">MapPackage</span>
extends java.lang.Object</pre>
<div class="block">Represents a model for obtaining information about offline map packages that can be installed
 using a <a href="../../../../../com/here/android/mpa/odml/MapLoader.html" title="class in com.here.android.mpa.odml"><code>MapLoader</code></a>. Map packages are arranged in a tree hierarchy, which is represented in
 the parent and children data of the <code>MapPackage</code> model.
 <p>
 Note: the root map package is the world map. If a <code>MapPackage</code> having children is
 installed, each child will also be installed, allowing the installation of entire regions.
 </p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/odml/MapPackage.InstallationState.html" title="enum in com.here.android.mpa.odml">MapPackage.InstallationState</a></span></code>
<div class="block">Represents values describing the installation state of the <code>MapPackage</code></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/odml/MapPackage.SelectableDataGroup.html" title="enum in com.here.android.mpa.odml">MapPackage.SelectableDataGroup</a></span></code>
<div class="block">The data groups which may be optionally selected for offline map downloads.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../../com/here/android/mpa/odml/MapPackage.html" title="class in com.here.android.mpa.odml">MapPackage</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/odml/MapPackage.html#getChildren--">getChildren</a></span>()</code>
<div class="block">Gets the children of the <code>MapPackage</code>, if it has any.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/odml/MapPackage.html#getEnglishTitle--">getEnglishTitle</a></span>()</code>
<div class="block">Gets the English title of the <code>MapPackage</code>.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/odml/MapPackage.html#getId--">getId</a></span>()</code>
<div class="block">Gets the unique identifier for the <code>MapPackage</code>, used for <a href="../../../../../com/here/android/mpa/odml/MapLoader.html" title="class in com.here.android.mpa.odml"><code>MapLoader</code></a> operations
 involving installation or uninstallation.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/odml/MapPackage.InstallationState.html" title="enum in com.here.android.mpa.odml">MapPackage.InstallationState</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/odml/MapPackage.html#getInstallationState--">getInstallationState</a></span>()</code>
<div class="block">Gets the current installation state of the <code>MapPackage</code> on the device</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/odml/MapPackage.html" title="class in com.here.android.mpa.odml">MapPackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/odml/MapPackage.html#getParent--">getParent</a></span>()</code>
<div class="block">Gets the parent of the <code>MapPackage</code>, if it has one.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/odml/MapPackage.html#getSize--">getSize</a></span>()</code>
<div class="block">Gets the maximum size, in KB, of the <code>MapPackage</code>, representing the maximum amount of
 space it will take up on disk.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/odml/MapPackage.html#getTitle--">getTitle</a></span>()</code>
<div class="block">Gets the title of the <code>MapPackage</code>.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getParent--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getParent</h4>
<pre>public <a href="../../../../../com/here/android/mpa/odml/MapPackage.html" title="class in com.here.android.mpa.odml">MapPackage</a> getParent()</pre>
<div class="block">Gets the parent of the <code>MapPackage</code>, if it has one.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <code>MapPackage</code> parent if one exists, <code>null</code> otherwise</dd>
</dl>
</li>
</ul>
<a name="getChildren--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getChildren</h4>
<pre>public java.util.List&lt;<a href="../../../../../com/here/android/mpa/odml/MapPackage.html" title="class in com.here.android.mpa.odml">MapPackage</a>&gt; getChildren()</pre>
<div class="block">Gets the children of the <code>MapPackage</code>, if it has any. The returned <code>List</code> is
 unmodifiable.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <code>Collections.unmodifiableList(List)</code> of <code>MapPackage</code> children if any
         exist, an empty list otherwise.</dd>
</dl>
</li>
</ul>
<a name="getId--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getId</h4>
<pre>public int getId()</pre>
<div class="block">Gets the unique identifier for the <code>MapPackage</code>, used for <a href="../../../../../com/here/android/mpa/odml/MapLoader.html" title="class in com.here.android.mpa.odml"><code>MapLoader</code></a> operations
 involving installation or uninstallation.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The ID for the <code>MapPackage</code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/odml/MapLoader.html#installMapPackages-java.util.List-"><code>installMapPackages(List&lt;Integer&gt;)</code></a>, 
<a href="../../../../../com/here/android/mpa/odml/MapLoader.html#uninstallMapPackages-java.util.List-"><code>uninstallMapPackages(List&lt;Integer&gt;)</code></a></dd>
</dl>
</li>
</ul>
<a name="getTitle--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTitle</h4>
<pre>public java.lang.String getTitle()</pre>
<div class="block">Gets the title of the <code>MapPackage</code>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The title (the specific language depends on the device <a href="http://developer.android.com/reference/java/util/Locale.html" target="_blank">
         <code>Locale</code></a>)</dd>
</dl>
</li>
</ul>
<a name="getEnglishTitle--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEnglishTitle</h4>
<pre>public java.lang.String getEnglishTitle()</pre>
<div class="block">Gets the English title of the <code>MapPackage</code>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The title in English.</dd>
</dl>
</li>
</ul>
<a name="getSize--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSize</h4>
<pre>public long getSize()</pre>
<div class="block">Gets the maximum size, in KB, of the <code>MapPackage</code>, representing the maximum amount of
 space it will take up on disk.
 <p>
 <b>Note:</b> If this is the first <code>MapPackage</code> installed, it will take up the amount of
 disk space returned by this method. However, if other <code>MapPackage</code>s have already been
 installed, the amount of disk space this package will take up is considerably less than the
 size value returned by this method. This is because there is common data between
 <code>MapPackage</code>s which will be installed upon first installation. To get an accurate
 representation of the disk space which will be used for a given installation operation use
 the <a href="../../../../../com/here/android/mpa/odml/MapLoader.Listener.html#onInstallationSize-long-long-"><code>MapLoader.Listener.onInstallationSize(long, long)</code></a> callback.</p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <code>MapPackage</code> size</dd>
</dl>
</li>
</ul>
<a name="getInstallationState--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getInstallationState</h4>
<pre>public <a href="../../../../../com/here/android/mpa/odml/MapPackage.InstallationState.html" title="enum in com.here.android.mpa.odml">MapPackage.InstallationState</a> getInstallationState()</pre>
<div class="block">Gets the current installation state of the <code>MapPackage</code> on the device</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/odml/MapPackage.InstallationState.html" title="enum in com.here.android.mpa.odml"><code>MapPackage.InstallationState</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MapPackage.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/odml/MapLoader.ResultCode.html" title="enum in com.here.android.mpa.odml"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/odml/MapPackage.InstallationState.html" title="enum in com.here.android.mpa.odml"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/odml/MapPackage.html" target="_top">Frames</a></li>
<li><a href="MapPackage.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.class.summary">Nested</a> | </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
